Subject: [alpine-devel] [PATCH] main/perl-device-serialport: moved from testing

From: Jeff Bilyk <[email-masked]>
Date: Thu, 7 Apr 2011 23:10:32 +0000

---
 main/perl-device-serialport/APKBUILD    |   33 +++++++++++++++++++++++++++++++
 testing/perl-device-serialport/APKBUILD |   33 -------------------------------
 2 files changed, 33 insertions(+), 33 deletions(-)
 create mode 100644 main/perl-device-serialport/APKBUILD
 delete mode 100644 testing/perl-device-serialport/APKBUILD

diff --git a/main/perl-device-serialport/APKBUILD b/main/perl-device-serialport/APKBUILD
new file mode 100644
index 0000000..a49e36d
--- /dev/null
+++ b/main/perl-device-serialport/APKBUILD
@@ -0,0 +1,33 @@
+# Contributor:  Francesco Colista <[email-masked]>
+# Maintainer:  Francesco Colista <[email-masked]>
+pkgname=perl-device-serialport
+_realname=Device-SerialPort
+pkgver=1.04
+pkgrel=0
+pkgdesc="Linux/POSIX emulation of Win32::SerialPort functions."
+url="http://search.cpan.org/~cook/"
+arch="x86 x86_64"
+license="GPL PerlArtistic"
+depends="perl"
+makedepends="perl-dev"
+install=
+subpackages=""
+source="http://search.cpan.org/CPAN/authors/id/C/CO/COOK/$_realname-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_realname-$pkgver"
+
+build() {
+	cd $_builddir
+	PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
+	make || return 1
+}
+
+package() {
+	cd $_builddir
+	make DESTDIR="$pkgdir" install
+	# creates file collision among perl modules
+	find "$pkgdir" -name perllocal.pod -delete
+
+}
+
+md5sums="82c698151f934eb28c65d1838cee7d9e  Device-SerialPort-1.04.tar.gz"
diff --git a/testing/perl-device-serialport/APKBUILD b/testing/perl-device-serialport/APKBUILD
deleted file mode 100644
index a49e36d..0000000
--- a/testing/perl-device-serialport/APKBUILD
+++ /dev/null
@@ -1,33 +0,0 @@
-# Contributor:  Francesco Colista <[email-masked]>
-# Maintainer:  Francesco Colista <[email-masked]>
-pkgname=perl-device-serialport
-_realname=Device-SerialPort
-pkgver=1.04
-pkgrel=0
-pkgdesc="Linux/POSIX emulation of Win32::SerialPort functions."
-url="http://search.cpan.org/~cook/"
-arch="x86 x86_64"
-license="GPL PerlArtistic"
-depends="perl"
-makedepends="perl-dev"
-install=
-subpackages=""
-source="http://search.cpan.org/CPAN/authors/id/C/CO/COOK/$_realname-$pkgver.tar.gz"
-
-_builddir="$srcdir/$_realname-$pkgver"
-
-build() {
-	cd $_builddir
-	PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
-	make || return 1
-}
-
-package() {
-	cd $_builddir
-	make DESTDIR="$pkgdir" install
-	# creates file collision among perl modules
-	find "$pkgdir" -name perllocal.pod -delete
-
-}
-
-md5sums="82c698151f934eb28c65d1838cee7d9e  Device-SerialPort-1.04.tar.gz"
-- 
1.7.4.1

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---